Installation failure at Running handler

Hi I am trying to install ironwood.master on a linux ubuntu 16.04 EC2 instance (t2.large and 100GB of storage.

The instructions I am using are here

At step 5, my install keeps failing (“Ansible failed!”) at the “RUNNING HANDLER” part of the process.
Here is the printout from the log file:

    ok: [localhost] => (item=xqueue_consumer)

RUNNING HANDLER [nginx : reload nginx] *****************************************

RUNNING HANDLER [forum : restart the forum service] ****************************
        to retry, use: --limit @/var/tmp/configuration/playbooks/openedx_native.retry

PLAY RECAP *********************************************************************
localhost                  : ok=528  changed=401  unreachable=0    failed=1

INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: migrate [0] ------------------------------------------------------------------- 429.78s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: gather static 
assets with paver [1] ------------------------------------------- 357.25s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install 
python requirements [0] ----------------------------------------------- 309.71s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install 
production requirements [0] ------------------------------------------- 241.21s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install ruby 
2.4.1 ------------------------------------------------------------ 236.60s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install production requirements [1] ------------------------------------------- 120.54s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install production requirements [2] -------------------------------------------- 98.19s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install comments service bundle ------------------------------------------------ 87.14s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: checkout edx-platform repo into /edx/app/edxapp/edx-platform [0] --------------- 68.16s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install node dependencies [2] -------------------------------------------------- 68.15s
INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing:
Playbook Configure instance(s) finished: 2020-01-22 12:11:06.600066, 1339 total tasks.  0:57:42.020985 elapsed.


========================================
Ansible failed!
----------------------------------------
If you need help, see https://open.edx.org/getting-help .
When asking for help, please provide as much information as you can.
These might be helpful:
     Your log file is at logs/install-20200122-111239.log
     Your environment:
         OPENEDX_RELEASE=open-release/ironwood.master
========================================
Installation finished at 2020-01-22 12:11:06

And here is a screenshot of the same output shown above:

It’s very unclear to me what is going wrong

To try and shed light I queried the status:

$ sudo /edx/bin/supervisorctl status
analytics_api                    RUNNING   pid 1943, uptime 0:39:18
cms                              RUNNING   pid 16689, uptime 0:48:31
discovery                        RUNNING   pid 26693, uptime 0:22:03
ecommerce                        RUNNING   pid 12905, uptime 0:42:15
ecomworker                       RUNNING   pid 14314, uptime 0:41:48
edxapp_worker:cms_default_1      RUNNING   pid 2851, uptime 0:57:48
edxapp_worker:cms_high_1         RUNNING   pid 2861, uptime 0:57:46
edxapp_worker:lms_default_1      RUNNING   pid 2876, uptime 0:57:45
edxapp_worker:lms_high_1         RUNNING   pid 2882, uptime 0:57:44
edxapp_worker:lms_high_mem_1     RUNNING   pid 2890, uptime 0:57:43
forum                            RUNNING   pid 21955, uptime 0:25:35
insights                         RUNNING   pid 13988, uptime 0:35:53
lms                              RUNNING   pid 16209, uptime 0:48:34
notifier-celery-workers          RUNNING   pid 29361, uptime 0:20:54
notifier-scheduler               RUNNING   pid 29180, uptime 0:21:15
xqueue                           FATAL     can't find command '/edx/app/xqueue/venvs/xqueue/bin/gunicorn'
xqueue_consumer                  RUNNING   pid 31060, uptime 0:20:14

Here is the lms log file:

/edx/var/log/lms$ sudo tail -f edx.log 
Jan 22 12:15:01 ip-172-31-24-174 [service_variant=lms][openedx.core.lib.log_utils][env:sandbox] INFO [ip-172-31-24-174  16694] [log_utils.py:36] - ApiKeyHeaderPermission used: ip="127.0.0.1", path="/notifier_api/v1/users/"
Jan 22 12:15:01 ip-172-31-24-174 [service_variant=lms][py.warnings][env:sandbox] WARNING [ip-172-31-24-174  16694] [paginator.py:119] - /edx/app/edxapp/venvs/edxapp/local/lib/python2.7/site-packages/rest_framework/pagination.py:208: UnorderedObjectListWarning: Pagination may yield inconsistent results with an unordered object_list: <class 'django.contrib.auth.models.User'> QuerySet. paginator=self.django_paginator_class(queryset, page_size)
 Jan 22 12:20:01 ip-172-31-24-174 [service_variant=lms][openedx.core.lib.log_utils][env:sandbox] INFO [ip-172-31-24-174  16720] [log_utils.py:36] - ApiKeyHeaderPermission used: ip="127.0.0.1", path="/notifier_api/v1/users/"
Jan 22 12:20:01 ip-172-31-24-174 [service_variant=lms][py.warnings][env:sandbox] WARNING [ip-172-31-24-174  16720] [paginator.py:119] - /edx/app/edxapp/venvs/edxapp/local/lib/python2.7/site-packages/rest_framework/pagination.py:208: UnorderedObjectListWarning: Pagination may yield inconsistent results with an unordered object_list: <class 'django.contrib.auth.models.User'> QuerySet.paginator = self.django_paginator_class(queryset, page_size)
 Jan 22 12:25:02 ip-172-31-24-174 [service_variant=lms][openedx.core.lib.log_utils][env:sandbox] INFO [ip-172-31-24-174  16673] [log_utils.py:36] - ApiKeyHeaderPermission used: ip="127.0.0.1", path="/notifier_api/v1/users/"
Jan 22 12:25:02 ip-172-31-24-174 [service_variant=lms][py.warnings][env:sandbox] WARNING [ip-172-31-24-174  16673] [paginator.py:119] - /edx/app/edxapp/venvs/edxapp/local/lib/python2.7/site-packages/rest_framework/pagination.py:208: UnorderedObjectListWarning: Pagination may yield inconsistent results with an unordered object_list: <class 'django.contrib.auth.models.User'> QuerySet. paginator = self.django_paginator_class(queryset, page_size)
Jan 22 12:30:02 ip-172-31-24-174 [service_variant=lms][openedx.core.lib.log_utils][env:sandbox] INFO [ip-172-31-24-174  16673] [log_utils.py:36] -ApiKeyHeaderPermission used: ip="127.0.0.1", path="/notifier_api/v1/users/"

can anyone assist?

It’s really helpful if you can provide the full log file, mentioned at the end of the ansible run. You can put it in a pastebin. The failure is before any of the text you’ve shown.

@nedbat
Here is the log file
https://pastebin.com/H9fHg5tA

I would be grateful for any suggestions.

Thanks. At the very end of the log is: OPENEDX_RELEASE=master

Are you sure you configured the installation for Ironwood? You want:

export OPENEDX_RELEASE=open-release/ironwood.master

But: I think there is a genuine issue in the installation now. This pull request is working on a solution (https://github.com/edx/configuration/pull/5615) but it’s not the right way to fix it.

Thanks for this @nedbat - is there a previous version I can install so I have a platform up and running? i.e. which previous ironwood OPENEDX_RELEASE is available now and works ?

The problem is systemic, and would affect all installation versions. We need a fix to the configuration repo on master, which we can then apply to the ironwood.master branch.

If I manually install gunicorn==0.16.1 will this resolve the problem?

Ok - the answer to this is definitely no.

As a root user i entered
pip install gunicorn==0.16.1

And then ran the native.sh script

This error message was generated:

            TASK [edxapp : Stat each requirements file with Github URLs to ensure it exists] ***
            ok: [localhost] => (item=/edx/app/edxapp/edx-platform/requirements/edx/custom.txt)
            ok: [localhost] => (item=/edx/app/edxapp/edx-platform/requirements/edx/base.txt)
            ok: [localhost] => (item=/edx/app/edxapp/edx-platform/requirements/edx-sandbox/base.txt)

            TASK [edxapp : Updating requirement files for git mirror] **********************
            skipping: [localhost] => (item={'_ansible_parsed': True, u'stat': {u'exists': False}, '_ansible_item_result': True, '_ansible_no_log': False, u'changed': False, 'item': u'/edx/app/edxapp/edx-platform/requirements/edx/custom.txt', u'invocation': {u'module_args': {u'checksum_algorithm': u'sha1', u'get_checksum': True, u'follow': False, u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/custom.txt', u'get_md5': True, u'get_mime': True, u'get_attributes': True}}}) 
            changed: [localhost] => (item={'_ansible_parsed': True, u'stat': {u'isuid': False, u'uid': 1003, u'exists': True, u'attr_flags': u'e', u'woth': False, u'isreg': True, u'device_type': 0, u'mtime': 1579789177.731191, u'block_size': 4096, u'inode': 12544032, u'isgid': False, u'size': 8266, u'executable': False, u'charset': u'us-ascii', u'readable': True, u'version': u'518563274', u'pw_name': u'edxapp', u'gid': 1004, u'ischr': False, u'wusr': True, u'writeable': True, u'mimetype': u'text/plain', u'blocks': 24, u'xoth': False, u'islnk': False, u'nlink': 1, u'issock': False, u'rgrp': True, u'gr_name': u'edxapp', u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'xusr': False, u'atime': 1579789181.3351684, u'md5': u'442d95d10d4bea18990a208ab3cedefa', u'isdir': False, u'ctime': 1579789177.731191, u'isblk': False, u'wgrp': False, u'xgrp': False, u'dev': 51713, u'roth': True, u'isfifo': False, u'mode': u'0644', u'checksum': u'f89f4a3a72b6539905eb966e6abcf32f40f184c5', u'rusr': True, u'attributes': [u'extents']}, '_ansible_item_result': True, '_ansible_no_log': False, u'changed': False, 'item': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'invocation': {u'module_args': {u'checksum_algorithm': u'sha1', u'get_checksum': True, u'follow': False, u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'get_md5': True, u'get_mime': True, u'get_attributes': True}}})
            changed: [localhost] => (item={'_ansible_parsed': True, u'stat': {u'isuid': False, u'uid': 1003, u'exists': True, u'attr_flags': u'e', u'woth': False, u'isreg': True, u'device_type': 0, u'mtime': 1579789177.85119, u'block_size': 4096, u'inode': 12544035, u'isgid': False, u'size': 692, u'executable': False, u'charset': u'us-ascii', u'readable': True, u'version': u'518563282', u'pw_name': u'edxapp', u'gid': 1004, u'ischr': False, u'wusr': True, u'writeable': True, u'mimetype': u'text/plain', u'blocks': 8, u'xoth': False, u'islnk': False, u'nlink': 1, u'issock': False, u'rgrp': True, u'gr_name': u'edxapp', u'path': u'/edx/app/edxapp/edx-platform/requirements/edx-sandbox/base.txt', u'xusr': False, u'atime': 1579789540.232001, u'md5': u'9171a4311d1fe40ab9d2b9a57299cccb', u'isdir': False, u'ctime': 1579789177.85119, u'isblk': False, u'wgrp': False, u'xgrp': False, u'dev': 51713, u'roth': True, u'isfifo': False, u'mode': u'0644', u'checksum': u'60d9560b20540ba67b52a70959b4a11ef449b5ac', u'rusr': True, u'attributes': [u'extents']}, '_ansible_item_result': True, '_ansible_no_log': False, u'changed': False, 'item': u'/edx/app/edxapp/edx-platform/requirements/edx-sandbox/base.txt', u'invocation': {u'module_args': {u'checksum_algorithm': u'sha1', u'get_checksum': True, u'follow': False, u'path': u'/edx/app/edxapp/edx-platform/requirements/edx-sandbox/base.txt', u'get_md5': True, u'get_mime': True, u'get_attributes': True}}})

            TASK [edxapp : Create the virtualenv to install the Python requirements] *******
            ok: [localhost]

            TASK [edxapp : Pin pip to a specific version.] *********************************
            changed: [localhost]

            TASK [edxapp : Stat each Python requirements file to ensure it exists] *********
            ok: [localhost] => (item=/edx/app/edxapp/edx-platform/requirements/edx/custom.txt)
            ok: [localhost] => (item=/edx/app/edxapp/edx-platform/requirements/edx/base.txt)

            TASK [edxapp : install python requirements] ************************************
            skipping: [localhost] => (item={'_ansible_parsed': True, u'stat': {u'exists': False}, '_ansible_item_result': True, '_ansible_no_log': False, u'changed': False, 'item': u'/edx/app/edxapp/edx-platform/requirements/edx/custom.txt', u'invocation': {u'module_args': {u'checksum_algorithm': u'sha1', u'get_checksum': True, u'follow': False, u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/custom.txt', u'get_md5': True, u'get_mime': True, u'get_attributes': True}}}) 
            failed: [localhost] (item={'_ansible_parsed': True, u'stat': {u'isuid': False, u'uid': 1003, u'exists': True, u'attr_flags': u'e', u'woth': False, u'isreg': True, u'device_type': 0, u'mtime': 1579789545.3199203, u'block_size': 4096, u'inode': 12544067, u'isgid': False, u'size': 8266, u'executable': False, u'charset': u'us-ascii', u'readable': True, u'version': u'518571295', u'pw_name': u'edxapp', u'gid': 1004, u'ischr': False, u'wusr': True, u'writeable': True, u'mimetype': u'text/plain', u'blocks': 24, u'xoth': False, u'islnk': False, u'nlink': 1, u'issock': False, u'rgrp': True, u'gr_name': u'edxapp', u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'xusr': False, u'atime': 1579789545.3199203, u'md5': u'442d95d10d4bea18990a208ab3cedefa', u'isdir': False, u'ctime': 1579789545.3199203, u'isblk': False, u'wgrp': False, u'xgrp': False, u'dev': 51713, u'roth': True, u'isfifo': False, u'mode': u'0644', u'checksum': u'f89f4a3a72b6539905eb966e6abcf32f40f184c5', u'rusr': True, u'attributes': [u'extents']}, '_ansible_item_result': True, '_ansible_no_log': False, u'changed': False, 'item': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'invocation': {u'module_args': {u'checksum_algorithm': u'sha1', u'get_checksum': True, u'follow': False, u'path': u'/edx/app/edxapp/edx-platform/requirements/edx/base.txt', u'get_md5': True, u'get_mime': True, u'get_attributes': True}}}) => {"changed": true, "cmd": ["/edx/app/edxapp/venvs/edxapp/bin/pip", "install", "-i", "https://pypi.python.org/simple", "--exists-action", "w", "-r", "/edx/app/edxapp/edx-platform/requirements/edx/base.txt"], "delta": "0:00:04.009652", "end": "2020-01-23 14:25:50.922183", "failed": true, "item": {"changed": false, "invocation": {"module_args": {"checksum_algorithm": "sha1", "follow": false, "get_attributes": true, "get_checksum": true, "get_md5": true, "get_mime": true, "path": "/edx/app/edxapp/edx-platform/requirements/edx/base.txt"}}, "item": "/edx/app/edxapp/edx-platform/requirements/edx/base.txt", "stat": {"atime": 1579789545.3199203, "attr_flags": "e", "attributes": ["extents"], "block_size": 4096, "blocks": 24, "charset": "us-ascii", "checksum": "f89f4a3a72b6539905eb966e6abcf32f40f184c5", "ctime": 1579789545.3199203, "dev": 51713, "device_type": 0, "executable": false, "exists": true, "gid": 1004, "gr_name": "edxapp", "inode": 12544067, "isblk": false, "ischr": false, "isdir": false, "isfifo": false, "isgid": false, "islnk": false, "isreg": true, "issock": false, "isuid": false, "md5": "442d95d10d4bea18990a208ab3cedefa", "mimetype": "text/plain", "mode": "0644", "mtime": 1579789545.3199203, "nlink": 1, "path": "/edx/app/edxapp/edx-platform/requirements/edx/base.txt", "pw_name": "edxapp", "readable": true, "rgrp": true, "roth": true, "rusr": true, "size": 8266, "uid": 1003, "version": "518571295", "wgrp": false, "woth": false, "writeable": true, "wusr": true, "xgrp": false, "xoth": false, "xusr": false}}, "rc": 2, "start": "2020-01-23 14:25:46.912531", "stderr": "Ignoring futures: markers 'python_version == \"2.7\"' don't match your environment\nException:\nTraceback (most recent call last):\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_install.py\", line 1025, in check_if_exists\n    self.satisfied_by = pkg_resources.get_distribution(str(no_marker))\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 558, in get_distribution\n    dist = get_provider(dist)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 432, in get_provider\n    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 968, in require\n    needed = self.resolve(parse_requirements(requirements))\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 859, in resolve\n    raise VersionConflict(dist, req).with_context(dependent_req)\npip._vendor.pkg_resources.ContextualVersionConflict: (sympy 1.5.1 (/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages), Requirement.parse('sympy==0.7.1'), {'symmath'})\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/basecommand.py\", line 215, in main\n    status = self.run(options, args)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/commands/install.py\", line 335, in run\n    wb.build(autobuilding=True)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/wheel.py\", line 749, in build\n    self.requirement_set.prepare_files(self.finder)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_set.py\", line 380, in prepare_files\n    ignore_dependencies=self.ignore_dependencies))\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_set.py\", line 521, in _prepare_file\n    req_to_install.check_if_exists()\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_install.py\", line 1036, in check_if_exists\n    self.req.name\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 558, in get_distribution\n    dist = get_provider(dist)\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 432, in get_provider\n    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 968, in require\n    needed = self.resolve(parse_requirements(requirements))\n  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 859, in resolve\n    raise VersionConflict(dist, req).with_context(dependent_req)\npip._vendor.pkg_resources.ContextualVersionConflict: (sympy 1.5.1 (/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages), Requirement.parse('sympy==0.7.1'), {'symmath'})\nYou are using pip version 9.0.3, however version 20.0.1 is available.\nYou should consider upgrading via the 'pip install --upgrade pip' command.", "stderr_lines": ["Ignoring futures: markers 'python_version == \"2.7\"' don't match your environment", "Exception:", "Traceback (most recent call last):", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_install.py\", line 1025, in check_if_exists", "    self.satisfied_by = pkg_resources.get_distribution(str(no_marker))", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 558, in get_distribution", "    dist = get_provider(dist)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 432, in get_provider", "    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 968, in require", "    needed = self.resolve(parse_requirements(requirements))", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 859, in resolve", "    raise VersionConflict(dist, req).with_context(dependent_req)", "pip._vendor.pkg_resources.ContextualVersionConflict: (sympy 1.5.1 (/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages), Requirement.parse('sympy==0.7.1'), {'symmath'})", "", "During handling of the above exception, another exception occurred:", "", "Traceback (most recent call last):", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/basecommand.py\", line 215, in main", "    status = self.run(options, args)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/commands/install.py\", line 335, in run", "    wb.build(autobuilding=True)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/wheel.py\", line 749, in build", "    self.requirement_set.prepare_files(self.finder)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_set.py\", line 380, in prepare_files", "    ignore_dependencies=self.ignore_dependencies))", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_set.py\", line 521, in _prepare_file", "    req_to_install.check_if_exists()", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/req/req_install.py\", line 1036, in check_if_exists", "    self.req.name", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 558, in get_distribution", "    dist = get_provider(dist)", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 432, in get_provider", "    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 968, in require", "    needed = self.resolve(parse_requirements(requirements))", "  File \"/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages/pip/_vendor/pkg_resources/__init__.py\", line 859, in resolve", "    raise VersionConflict(dist, req).with_context(dependent_req)", "pip._vendor.pkg_resources.ContextualVersionConflict: (sympy 1.5.1 (/edx/app/edxapp/venvs/edxapp/lib/python3.5/site-packages), Requirement.parse('sympy==0.7.1'), {'symmath'})", "You are using pip version 9.0.3, however version 20.0.1 is available.", "You should consider upgrading via the 'pip install --upgrade pip' command."], "stdout": "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/calc (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 8))\nObtaining file:///edx/app/edxapp/edx-platform/common/lib/capa (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 9))\nObtaining file:///edx/app/edxapp/edx-platform/common/lib/chem (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 10))\nObtaining file:///edx/app/edxapp/edx-platform (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 26))\nObtaining file:///edx/app/edxapp/edx-platform/common/lib/safe_lxml (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 33))\nObtaining file:///edx/app/edxapp/edx-platform/common/lib/sandbox-packages (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 34))\nObtaining file:///edx/app/edxapp/edx-platform/common/lib/symmath (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 35))", "stdout_lines": ["Obtaining file:///edx/app/edxapp/edx-platform/common/lib/calc (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 8))", "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/capa (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 9))", "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/chem (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 10))", "Obtaining file:///edx/app/edxapp/edx-platform (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 26))", "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/safe_lxml (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 33))", "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/sandbox-packages (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 34))", "Obtaining file:///edx/app/edxapp/edx-platform/common/lib/symmath (from -r /edx/app/edxapp/edx-platform/requirements/edx/base.txt (line 35))"]}
                to retry, use: --limit @/var/tmp/configuration/playbooks/openedx_native.retry

            PLAY RECAP *********************************************************************
            localhost                  : ok=160  changed=30   unreachable=0    failed=1   

            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: Add admin users ----------------------------------------------------------------- 4.36s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: restart mysql ------------------------------------------------------------------- 4.25s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install python requirements ----------------------------------------------------- 4.18s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: pip install virtualenv [1] ------------------------------------------------------ 3.67s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install system packages on which LMS and CMS rely ------------------------------- 3.47s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: install packages needed by rabbit ----------------------------------------------- 3.45s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: Install memcached --------------------------------------------------------------- 3.39s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: Start rabbit nodes -------------------------------------------------------------- 3.31s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: checkout edx-platform repo into /edx/app/edxapp/edx-platform -------------------- 3.20s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing: Install ubuntu system packages [1] ---------------------------------------------- 3.19s
            INFO:/var/tmp/configuration/playbooks/callback_plugins/task_timing:
            Playbook Configure instance(s) finished: 2020-01-23 14:25:50.947450, 435 total tasks.  0:02:09.112241 elapsed. 

            
            ========================================
            Ansible failed!
            ----------------------------------------
            If you need help, see https://open.edx.org/getting-help .
            When asking for help, please provide as much information as you can.
            These might be helpful:
                Your log file is at logs/install-20200123-142325.log
                Your environment:
                    OPENEDX_RELEASE=open-release/ironwood.master
            ========================================
            Installation finished at 2020-01-23 14:25:51

This problem is now fixed on open-release/ironwood.master

Thanks @nedbat

Installation was fine now:

1 Like